Summary:	The Table engine for IBus platform
Summary(pl.UTF-8):	Silnik Table dla platformy IBus
Name:		ibus-table
Version:	1.9.25
Release:	1
# parts LGPL v2.1+, LGPL v3.0+, GPL v2+ => the result is GPL v3+
License:	GPL v3+
Group:		Libraries
#Source0Download: https://github.com/kaio/ibus-table/releases
Source0:	https://github.com/kaio/ibus-table/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5f885b715a374d479574af53999e9864
URL:		https://github.com/kaio/ibus-table
BuildRequires:	gettext-tools >= 0.16.1
BuildRequires:	ibus-devel > 1.5.0
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	%{name}-engine = %{version}-%{release}
Requires:	ibus >= 1.5.0
Requires:	python3-ibus >= 1.5.0
Requires:	python3-modules >= 1:3.3
Requires:	python3-pygobject3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The Table engine for IBus platform.

%description -l pl.UTF-8
Silnik Table dla platformy IBus.

%package engine
Summary:	IBus Table engine
Summary(pl.UTF-8):	Silnik IBus Table
License:	LGPL v3+
Group:		Applications/Text
Requires:	python3-modules >= 1:3.3

%description engine
IBus Table engine.

%description engine -l pl.UTF-8
Silnik IBus Table.

%package devel
Summary:	Development files for ibus-table
Summary(pl.UTF-8):	Pliki programistyczne dla ibus-table
License:	LGPL v3+
Group:		Development/Tools
Requires:	%{name}-engine = %{version}-%{release}

%description devel
Development files for ibus-table.

%description devel -l pl.UTF-8
Pliki programistyczne dla ibus-table.

%prep
%setup -q

# one python version is enough
%{__sed} -i -e '1s,/usr/bin/python$,%{__python3},' engine/chinese_variants.py

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{pt_PT,pt}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libexecdir}/ibus-setup-table
%attr(755,root,root) %{_libexecdir}/ibus-engine-table
%{_datadir}/%{name}/engine/factory.py
%{_datadir}/%{name}/engine/it_util.py
%{_datadir}/%{name}/engine/main.py
%{_datadir}/%{name}/engine/table.py
%{_datadir}/%{name}/engine/__pycache__/factory.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/it_util.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/main.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/table.cpython-*.py[co]
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/%{name}.svg
%{_datadir}/%{name}/icons/full-letter.svg
%{_datadir}/%{name}/icons/full-punct.svg
%{_datadir}/%{name}/icons/half-letter.svg
%{_datadir}/%{name}/icons/half-punct.svg
%{_datadir}/%{name}/icons/onechar.svg
%{_datadir}/%{name}/icons/phrase.svg
%{_datadir}/%{name}/icons/py-mode.svg
%{_datadir}/%{name}/icons/tab-mode.svg
%{_datadir}/%{name}/icons/chinese.svg
%{_datadir}/%{name}/icons/acommit.svg
%{_datadir}/%{name}/icons/english.svg
%{_datadir}/%{name}/icons/ncommit.svg
%{_datadir}/%{name}/icons/cb-mode.svg
%{_datadir}/%{name}/icons/sc-mode.svg
%{_datadir}/%{name}/icons/scb-mode.svg
%{_datadir}/%{name}/icons/tc-mode.svg
%{_datadir}/%{name}/icons/tcb-mode.svg
%dir %{_datadir}/%{name}/setup
%{_datadir}/%{name}/setup/*.py
%{_datadir}/%{name}/setup/*.ui
%{_datadir}/%{name}/setup/__pycache__
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.table.gschema.xml
%{_datadir}/ibus/component/table.xml
%{_datadir}/metainfo/ibus-table.appdata.xml
%{_desktopdir}/ibus-setup-table.desktop

%files engine -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/data
%{_datadir}/%{name}/data/pinyin_table.txt.bz2
%dir %{_datadir}/%{name}/engine
%{_datadir}/%{name}/engine/chinese_variants.py
%{_datadir}/%{name}/engine/ibus_table_location.py
%{_datadir}/%{name}/engine/tabcreatedb.py
%{_datadir}/%{name}/engine/tabsqlitedb.py
%dir %{_datadir}/%{name}/engine/__pycache__
%{_datadir}/%{name}/engine/__pycache__/chinese_variants.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/ibus_table_location.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/tabcreatedb.cpython-*.py[co]
%{_datadir}/%{name}/engine/__pycache__/tabsqlitedb.cpython-*.py[co]
%dir %{_datadir}/%{name}/tables
%{_datadir}/%{name}/tables/template.txt

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ibus-table-createdb
%{_pkgconfigdir}/ibus-table.pc
%{_mandir}/man1/ibus-table-createdb.1*
%changelog
* Sun Apr 26 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-table.git;a=log;h=master

* Sun Apr 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f63d13
- unify locale name (pt_PT -> pt)

* Sun Apr 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 1a7a5c8
- updated to 1.9.25

* Tue Apr 05 2016 Jakub Bogusz <qboosh@pld-linux.org> cb45ccf
- R: python3-ibus

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 2f754ec
- new URLs, updated to 1.9.12
- removed outdated uppercase-umlauts patch

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> bf4d994
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9813850
- updated gettext BR

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 9741828
- updated to 1.5.0

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 8622ca0
- updated to 1.4.99.20121112

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 291ee7e
- removed obsolete configure option

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> e5c13a8
- Merge branch 'master' of git://git.pld-linux.org/packages/ibus-table

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 4c81615
- updated to 1.4.99.20121012

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 0cf8bbc
- fixed duplicate files

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b203b78
- updated to 1.3.9.20110827
- pl
- separated -engine and moved createdb to -devel, so that development is possible without installing whole ibus

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 6ed223f
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 81ad085
- R python-modules-sqlite (WhoTF separated it?)

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 5971914
- typo

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> a4dc549
- hmm, devel does need main package

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 0f7b9ac
- devel does not need main package

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 1d42968
- initial revision

